<!doctype html>
<html lang="en">
  <head>
    <title>Pass it if you dare!</title>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" 
    href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
    integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
    crossorigin="anonymous">
</head>
  <body>

    <div class="container">
        <div class="row mt-5">
            <div class="col">
                <input id="currentPass" type="password" placeholder="Current Pass">
                <input id="btn1" class="btn btn-info" type="button" value="Show">
            </div>
            <div class="col">
                    <input id="newPass" type="password" placeholder="New Pass">
                    <input id="btn2" class="btn btn-info" type="button" value="Show">
                </div>
            <div class="col">
                    <input id="confirmedPass" type="password" placeholder="Confirm your Pass">
                    <input id="btn3" class="btn btn-info" type="button" value="Show">
                </div>
        </div>
        <div class="row mt-5 text-center">
            <div class="col">
                    <input id="change" class="btn btn-info" type="button" value="Change">
                </div>
        </div>
    </div>
      
    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->

    <script>
        $(".btn1").on("click" , function(){
            if(document.getElementById("currentPass").type == "text")
                {
                    document.getElementById("currentPass").type = "password";
                }
            else
                {
                document.getElementById("currentPass").type = "text";
                }
        })
        </script>    

<script>
    $(".btn2").on("click" , function(){
        if(document.getElementById("newPass").type == "text")
            {
                document.getElementById("newPass").type = "password";
            }
        else
            {
            document.getElementById("newPass").type = "text";
            }
    })
    </script>   

<script>
    $(".btn3").on("click" , function(){
        if(document.getElementById("confirmedPass").type == "text")
            {
                document.getElementById("confirmedPass").type = "password";
            }
        else
            {
            document.getElementById("confirmedPass").type = "text";
            }
    })
    </script>


    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="script.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
</body>
</html>
